import type { ImportExportResult, ConnectionShortInfo, CommonImportExportState } from './common';
type ConnectionImportInfo = ConnectionShortInfo & {
    isExistingConnection: boolean;
};
type ImportConnectionsState = CommonImportExportState<ConnectionImportInfo> & {
    passphraseRequired: boolean;
    fileContents: string;
};
export declare function useImportConnections({ finish, open, trackingProps, }: {
    finish: (result: ImportExportResult) => void;
    open: boolean;
    trackingProps?: Record<string, unknown>;
}): {
    onCancel: () => void;
    onSubmit: () => void;
    onChangeFilename: (filename: string) => void;
    onChangePassphrase: (passphrase: string) => void;
    onChangeConnectionList: (connectionInfos: ConnectionShortInfo[]) => void;
    state: ImportConnectionsState;
};
export {};
//# sourceMappingURL=use-import-connections.d.ts.map